<?php

namespace Shavshukov\EventAppBase\Service;

use Shavshukov\EventAppBase\ApplicationInterface;

abstract class Provider implements ProviderInterface
{
    /**
     * Application instance
     *
     * @var \Shavshukov\EventAppBase\ApplicationInterface
     */
    protected $app;
    
    /**
     * Constructor
     * 
     * @param \Shavshukov\EventAppBase\ApplicationInterface $app
     */
    public function __construct(ApplicationInterface $app)
    {
        $this->app = $app;
    }
    
    /**
     * Get Application instance
     * 
     * @return \Shavshukov\EventAppBase\ApplicationInterface
     */
    public function getApplication(): ApplicationInterface
    {
        return $this->app;
    }
}
